
Foreman - Bug #2956

Autocompletion failure when adding class to host

08/22/2013 07:46 AM - Raphaël PINSON

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Search   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

I've got a class called `local_tmpl::app::c2c_sig_demo`.

When I want to assign it to a host, I edit the host, go to the "Puppet Classes" tab and type the name.

When I type "c2c_sig", it shows up (along with a lot of other classes).

If I keep typing and add "c2c_sig_d", only "local_tmpl::app::c2c_sig_dev" shows up, even though it should also match

"local_tmpl::app::c2c_sig_demo".

This makes it hard to add classes to hosts, since the Puppet Classes section in Configuration allows to add classes to hostgroups,

not hosts.

Related issues:

Is duplicate of Foreman - Bug #14636: Unable to search puppet classes with lo... Closed 04/14/2016

History

#1 - 08/22/2013 07:49 AM - Dominic Cleal

- Category set to Search

#2 - 08/21/2017 08:51 AM - Tomer Brisker

- Is duplicate of Bug #14636: Unable to search puppet classes with long names added

#3 - 08/21/2017 08:51 AM - Tomer Brisker

- Status changed from New to Duplicate

I believe this was solved in 14636, closing as duplicate. please reopen if issue persists.
